<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Reserva REST API Documentation</title>
  <link rel="stylesheet" href="//fonts.googleapis.com/css?family=Roboto:300,300italic,700,700italic">
  <link rel="stylesheet" href="api-doc-generator.min.css">
</head>
<body>
  <main>
    <nav class="navigation">
      <section class="container">
        <div class="row">
          <div class="column">
            <div class="title">Reserva REST API Documentation</div>
          </div>
        </div>
      </section>
    </nav>

    <section class="container">
      <div class="row">
        <div class="column">
          <div class="sections">
            <ul>
              <li>
                <a href="#Administrador">Administrador</a>
              </li>
              <li>
                <a href="#Inicio">Inicio</a>
              </li>
              <li>
                <a href="#Reserva">Reserva</a>
              </li>
              <li>
                <a href="#Usuario">Usuario</a>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </section>

    <section class="container">
      <div class="row">
        <div class="column">
          <div class="section">
            <div class="section-header">
              <div class="section-title">
                <a name="Administrador" class="section-toggle">Administrador</a>
              </div>

              <div class="actions">
                <a class="section-toggle">Show/hide</a>
                <a class="hide-description">List Operations</a>
                <a class="show-description">Expand Operations</a>
              </div>
            </div>

            <div class="endpoints">
              <div class="endpoint get">
                <div class="address toggle-description">
                  <span class="label">get</span><span class="url">/admin</span>
                </div>

                <div class="description hidden">
                  <p>Iniciar sesion en administrador con todas las reservas realizadas y sus ingresos</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint get">
                <div class="address toggle-description">
                  <span class="label">get</span><span class="url">/admin_clientes</span>
                </div>

                <div class="description hidden">
                  <p>Listar clientes</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint get">
                <div class="address toggle-description">
                  <span class="label">get</span><span class="url">/admin_cancha</span>
                </div>

                <div class="description hidden">
                  <p>Listar Canchas</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint post">
                <div class="address toggle-description">
                  <span class="label">post</span><span class="url">/admin_cancha_guardar</span>
                </div>

                <div class="description hidden">
                  <p>Guardar Cancha</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint post">
                <div class="address toggle-description">
                  <span class="label">post</span><span class="url">/admin_cancha_estado</span>
                </div>

                <div class="description hidden">
                  <p>Editar estado de Cancha</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint get">
                <div class="address toggle-description">
                  <span class="label">get</span><span class="url">/admin_horario</span>
                </div>

                <div class="description hidden">
                  <p>Ver lista de Horarios</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint post">
                <div class="address toggle-description">
                  <span class="label">post</span><span class="url">/admin_horario_guardar</span>
                </div>

                <div class="description hidden">
                  <p>Guardar Horario</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint post">
                <div class="address toggle-description">
                  <span class="label">post</span><span class="url">/admin_horario_guardar</span>
                </div>

                <div class="description hidden">
                  <p>Editar estado del horario</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <section class="container">
      <div class="row">
        <div class="column">
          <div class="section">
            <div class="section-header">
              <div class="section-title">
                <a name="Inicio" class="section-toggle">Inicio</a>
              </div>

              <div class="actions">
                <a class="section-toggle">Show/hide</a>
                <a class="hide-description">List Operations</a>
                <a class="show-description">Expand Operations</a>
              </div>
            </div>

            <div class="endpoints">
              <div class="endpoint get">
                <div class="address toggle-description">
                  <span class="label">get</span><span class="url">/</span>
                </div>

                <div class="description hidden">
                  <p>Vista principal del usaurio</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint get">
                <div class="address toggle-description">
                  <span class="label">get</span><span class="url">/iniciar_sesion</span>
                </div>

                <div class="description hidden">
                  <p>Vista para iniciar Sesion</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint get">
                <div class="address toggle-description">
                  <span class="label">get</span><span class="url">/registrar</span>
                </div>

                <div class="description hidden">
                  <p>Vista para regsitrar usaurio</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint post">
                <div class="address toggle-description">
                  <span class="label">post</span><span class="url">/registrar</span>
                </div>

                <div class="description hidden">
                  <p>Registro de usuario</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint post">
                <div class="address toggle-description">
                  <span class="label">post</span><span class="url">/iniciar_sesion</span>
                </div>

                <div class="description hidden">
                  <p>Inicio de Sesión</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint get">
                <div class="address toggle-description">
                  <span class="label">get</span><span class="url">/cerrar_sesion</span>
                </div>

                <div class="description hidden">
                  <p>Cerrar Sesión</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <section class="container">
      <div class="row">
        <div class="column">
          <div class="section">
            <div class="section-header">
              <div class="section-title">
                <a name="Reserva" class="section-toggle">Reserva</a>
              </div>

              <div class="actions">
                <a class="section-toggle">Show/hide</a>
                <a class="hide-description">List Operations</a>
                <a class="show-description">Expand Operations</a>
              </div>
            </div>

            <div class="endpoints">
              <div class="endpoint get">
                <div class="address toggle-description">
                  <span class="label">get</span><span class="url">/listaHorarios/:fecha/:cancha</span>
                </div>

                <div class="description hidden">
                  <p>Listar horarios disponibles</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint post">
                <div class="address toggle-description">
                  <span class="label">post</span><span class="url">/guardar_reserva/:pu/:pt/:cant</span>
                </div>

                <div class="description hidden">
                  <p>Guardar reserva</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint get">
                <div class="address toggle-description">
                  <span class="label">get</span><span class="url">/ver_pago</span>
                </div>

                <div class="description hidden">
                  <p>Pagar reserva</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint get">
                <div class="address toggle-description">
                  <span class="label">get</span><span class="url">/usuario_pagar_reserva</span>
                </div>

                <div class="description hidden">
                  <p>Ver respuesta de pago</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <section class="container">
      <div class="row">
        <div class="column">
          <div class="section">
            <div class="section-header">
              <div class="section-title">
                <a name="Usuario" class="section-toggle">Usuario</a>
              </div>

              <div class="actions">
                <a class="section-toggle">Show/hide</a>
                <a class="hide-description">List Operations</a>
                <a class="show-description">Expand Operations</a>
              </div>
            </div>

            <div class="endpoints">
              <div class="endpoint get">
                <div class="address toggle-description">
                  <span class="label">get</span><span class="url">/user_info</span>
                </div>

                <div class="description hidden">
                  <p>Vista Perfil de actualizacion</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint post">
                <div class="address toggle-description">
                  <span class="label">post</span><span class="url">/user_config</span>
                </div>

                <div class="description hidden">
                  <p>Actualizar datos del usuario</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint post">
                <div class="address toggle-description">
                  <span class="label">post</span><span class="url">/user_subir_imagen</span>
                </div>

                <div class="description hidden">
                  <p>Actualizar foto del usuario</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint get">
                <div class="address toggle-description">
                  <span class="label">get</span><span class="url">/ver_reserva</span>
                </div>

                <div class="description hidden">
                  <p>Vista de las reservas realizadas del usuario</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint get">
                <div class="address toggle-description">
                  <span class="label">get</span><span class="url">/guardar_token/:token</span>
                </div>

                <div class="description hidden">
                  <p>Guardar Token en la cuenta para notificaciones</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="endpoint get">
                <div class="address toggle-description">
                  <span class="label">get</span><span class="url">/obtener_token</span>
                </div>

                <div class="description hidden">
                  <p>ObtenerToken en la cuenta para notificaciones</p>

                  <table>
                    <thead>
                    <tr>
                      <th>Parameter</th>
                      <th>Type</th>
                      <th>Required</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                      <td>req</td>
                      <td>solicitud</td>
                      <td>true</td>
                    </tr>
                    <tr>
                      <td>res</td>
                      <td>respuesta</td>
                      <td>true</td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </main>
  <script type="text/javascript" src="api-doc-generator.min.js"></script>
</body>
</html>
